NAME
Tk_SetGrid - control the grid for interactive resizing

SYNOPSIS
#include <tk.h>

Tk_SetGrid(tkwin, reqWidth, reqHeight, widthInc, heightInc)

ARGUMENTS
Token for window. Width in grid units that corresponds to the pixel dimension tkwin has requested via Tk_GeometryRequest. Height in grid units that corresponds to the pixel dimension tkwin has requested via Tk_GeometryRequest. Width of one grid unit, in pixels. Height of one grid unit, in pixels.

DESCRIPTION

Tk_SetGrid is typically invoked by a widget when its setGrid option is true. This procedure allows a widget to control interactive resizing of its top-level window so that the space allocated to the widget is equal to the space requested by the widget using Tk_GeometryRequest, plus or minus even multiples of widthInc and heightInc. Tk_SetGrid turns on gridded geometry management for the top-level window associated with tkwin, and records the relationship between pixel sizes and grid sizes as defined by reqWidth, reqHeight, widthInc, and heightInc.

See the wm manual entry for complete details on gridded geometry management. There is currently no way to turn off gridded geometry management using a C procedure call; instead, invoke the ``wm grid'' command.

KEYWORDS
grid, window, window manager